OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.NameGenDelete

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDNameGenDelete :: MonadIO m => m Bool
- gl_AMD_name_gen_delete :: Bool
- pattern GL_DATA_BUFFER_AMD :: GLenum
- pattern GL_PERFORMANCE_MONITOR_AMD :: GLenum
- pattern GL_QUERY_OBJECT_AMD :: GLenum
- pattern GL_SAMPLER_OBJECT_AMD :: GLenum
- pattern GL_VERTEX_ARRAY_OBJECT_AMD :: GLenum
- glDeleteNamesAMD :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glGenNamesAMD :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glIsNameAMD :: MonadIO m => GLenum -> GLuint -> m GLboolean

# Extension Support

glGetAMDNameGenDelete :: MonadIO m => m Bool Source #

Is the AMD_name_gen_delete extension supported?

gl_AMD_name_gen_delete :: Bool Source #

Is the AMD_name_gen_delete extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDNameGenDelete` in those cases instead.

# Enums

pattern GL_DATA_BUFFER_AMD :: GLenum Source #

pattern GL_PERFORMANCE_MONITOR_AMD :: GLenum Source #

pattern GL_QUERY_OBJECT_AMD :: GLenum Source #

pattern GL_SAMPLER_OBJECT_AMD :: GLenum Source #

pattern GL_VERTEX_ARRAY_OBJECT_AMD :: GLenum Source #

# Functions

glDeleteNamesAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `identifier`.
-> GLuint | `num`.
-> Ptr GLuint | `names` pointing to `num` elements of type `GLuint`.
-> m () |

glGenNamesAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `identifier`.
-> GLuint | `num`.
-> Ptr GLuint | `names` pointing to `num` elements of type `GLuint`.
-> m () |

glIsNameAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `identifier`.
-> GLuint | `name`.
-> m GLboolean | of type Boolean.